**Source URL:** https://limited.veevavault.dev/qualityone/vault-api/api-reference/18.1/expected-document-lists/apply-edl-template-to-a-milestone.md

# Apply EDL Template to a Milestone



Apply an EDL template to a Milestone object record. Note that this API is for Clinical Operations only.

Learn more about [Clinical Operations in Vault Help](https://clinical.veevavault.help/en/lr/44699).

<Endpoint path="/api/{version}/vobjects/milestone__v/{milestone_id}/actions/etmfcreateedl" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{milestone_id}` | The ID of the milestone. |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Field Name | Description |
| --- | --- |
| `edl_id` | The ID of the EDL template to apply to this milestone. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-H "Accept: application/json" \
-d "edl_id=0EL000000000105" \
https://myvault.veevavault.com/api/V16.0/vobjects/milestone__v/0M0007710/actions/etmfcreateedl

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "job_id": 9901,
  "url": "/api/v16.0/services/jobs/9901"
}

```
</CodeExample>

---

**Previous:** [Create EDLs](/qualityone/vault-api/api-reference/18.1/expected-document-lists/create-edls)  
**Next:** [Create Milestones from Template](/qualityone/vault-api/api-reference/18.1/expected-document-lists/create-milestones-from-template)